Segments
Segments are dynamic gorup of Contacts matching filtering rules. You can create, edit and delete segments on the dashboard.
The following API allows listing all existing segments. You can use the Segment ID to filter Contacts retrieved with the Contacts APIs.
List the segments of an organization
Role: Organization Manager
Scope: organization_read, segments_read
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
cidstringRequired
id of the organization (aka tenant)
Responses
200
Array with the segments
application/json
generatedstringOptional
sizenumberOptional
default
Error
application/json
get/v2/segments/organizations/{cid}
GET /v2/segments/organizations/{cid} HTTP/1.1
Host: explore.cloud4wi.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"generated": "text",
"size": 1,
"segments": [
{
"id": "text",
"name": "text",
"description": "text",
"lastRun": "text",
"created": "text",
"modified": "text",
"segmentStatus": "text",
"audience": 1
}
]
}Last updated
Was this helpful?